Page MenuHomeMiraheze

Add some namespaces to nonciclopedia.miraheze.org
Closed, ResolvedPublic

Description

Hello, in the process of importing our old wiki here we need new namespace, here's ns numbers and names:

  • 2000 Portale
  • 2001 Discussioni portale
  • 2002 Progetto
  • 2003 Discussioni progetto
  • 2010 Cimitero
  • 2011 Discussioni cimitero
  • 2012 Nonnotizie
  • 2013 Discussioni Nonnotizie
  • 2014 Nonvoyage
  • 2015 Discussioni Nonvoyage
  • 2020 Nonquote
  • 2021 Discussioni Nonquote
  • 2022 Nondizionario
  • 2023 Discussioni Nondizionario
  • 2024 Nonversità
  • 2025 Discussioni Nonversità
  • 2026 Nonsource
  • 2027 Discussioni Nonsource
  • 2028 Nonbooks
  • 2029 Discussioni Nonbooks

Event Timeline

Wedhro created this task.Sep 2 2018, 15:22

@Wedhro I thought the Italian community has decided to move the wiki to a server hosted by Carlb. Can you tell me what's going on? And which version will be the official one as the final result?

(As an interwiki admin, I need to gain info related to Uncyclopedias.)

Wedhro added a comment.Sep 2 2018, 16:30

We did, but we had too many unsolved issues (it's only one guy running the show, it's understandable) and we decided to give Miraheze a try in order to see wich one is better. After setting up the wiki here we will be able to test it and decide, and I'm quite confindent we'll pick Miraheze. No matter what, we'll still be part of the Uncyclopedia family and there will only be one official Nonciclopedia.

The_Pioneer added a comment.EditedSep 2 2018, 18:13

@Wedhro OK, thanks for your comment. Maybe it'll be useful to tell the Polish community by yourself, because they're having discussions regarding interwiki here.

In addition, I'd like you guys to have a discussion on it, too. As you know, there are several communities that have split into two or three, or has different versions with different origins.

Wedhro added a comment.Sep 2 2018, 18:24

@The_Pioneer We're doing our best not to split, also because pretty much nobody want to stay on Wikia. The wikia site will change name in order not to make things too confusing for readers.

AmandaCath edited projects, added Configuration; removed MediaWiki, Import.Sep 4 2018, 11:31
AmandaCath added a subscriber: AmandaCath.
Wedhro updated the task description. (Show Details)Sep 4 2018, 11:49
AmandaCath closed this task as Resolved.Sep 9 2018, 18:46
AmandaCath claimed this task.
This comment was removed by AmandaCath.
Wedhro added a comment.Sep 9 2018, 18:49

Wait a sec... nothing I asked for has been done and I can't do it by myself. What am I supposed to do now?

AmandaCath reopened this task as Open.Sep 9 2018, 18:51
AmandaCath added a subscriber: Paladox.
This comment was removed by AmandaCath.
AmandaCath removed AmandaCath as the assignee of this task.Sep 9 2018, 18:51
Wedhro added a comment.Sep 9 2018, 18:53

@AmandaCath I need a number of new namespaces, the deletion of all pages and files, and then a question: how am I supposed to upload 8 GB of backup?

@Wedhro the addition of namespaces can be done, although the specific numbers you want aren’t possible. Namespace numbers need to be 1600 or higher.

Deletion of all pages and files can be done by any administrator on the wiki via Special:Nuke

Importing a 8 GB backup will need to be done by a system administrator @Paladox @Reception123

Wedhro added a comment.Sep 9 2018, 18:59

Ok, I'll edit the task with new numbers. About the backup, I meant I don't know any way of giving a file so big to a sysadmin because it's way beyond what email and cloud providers allow.

@Wedhro you can simply upload the file to this task, assuming that it doesn’t contain any private information.

Also note that due to custom namespaces being created by dozens of other wikis, new custom namespaces must have a number of 1828 or higher.

@AmandaCath Any follow up on the namespaces? Are you interested in continuing this task?

Is the dump public? If yes, archive.org is a great place

Wedhro updated the task description. (Show Details)Sep 9 2018, 19:04
Wedhro added a comment.Sep 9 2018, 19:09

Yes, we need these namespaces, I edited the task with ns numbers starting from 2000. (So all wikis share the same namespaces? That's very inconvenient in the long run!)

I got the dump with WikiTeam and it's on my PC, 19 GB uncompressed, 8 GB after zipping. I have a limited data plan so I'd rather upload the zipped pack and I would rather not risk uploading it via the browser because if anything goes wrong I have to start all over again. I don't even mean what public means here, but I guess it's not.

@Reception123 (or anyone else) I’d appreciate it if you can please handle this task.

@Wedhro Public means if it can be accessible by anyone. (@Paladox any suggestions for upload)

@MacFan4000 Could you maybe please take a look? (I currently don't have too much time, but if you can't either I will do it ASAP)

Wedhro added a comment.EditedSep 9 2018, 19:20

@Wedhro Public means if it can be accessible by anyone.

I'd rather not, but if it's the only way... Right now the dump is on my PC only and I created an account on archive.org just in case, but it doesn't really look like the kind of place you can upload a huge zipped file on, but rather a complete, accessible dump, which is far from ideal as I explained above.

In T3553#68267, @Wedhro wrote:

@Wedhro Public means if it can be accessible by anyone.

I'd rather not, but if it's the only way... Right now the dump is on my PC only and I created an account on archive.org just in case, but it doesn't really look like the kind of place you can upload a huge zipped file on, but rather a complete, accessible dump, which is far from ideal as I explained above.

I was thinking about you maybe trying to upload it via Dropbox, Google Drive or OneDrive, and then sharing the link with us via staff[at]miraheze[org]. How does that sound?

Wedhro added a comment.Sep 10 2018, 13:22

@Reception123 I uploaded the archived dump in Google Drive (8,1 GB), here's the link: https://drive.google.com/open?id=1UbDuh0KW8xnYoadRtPkVK6CHy-RhnhNK

Feel free to choose in which order to proceed i.e. if creating the new namespaces before importing the dump or vice versa.

Question: there's a few hundred pages that will need to be moved to the new namespaces, can it be automated?

@Wedhro Ok, when you request your wiki again will start.

Created. Please note however that due to the large size of the XML dump it will take a while until it is imported.

Wedhro added a comment.Sep 10 2018, 13:36

@Reception123 Ok, don't worry, it took me a week to download it and a night to upload it, I expected it to be a lenghty operation. Please note it includes images.

For the question, I am not sure so @John @Paladox

Ok, I will let you know here when it's done.

Wedhro updated the task description. (Show Details)Sep 10 2018, 14:57

I added two more namespaces in the task:

  • 2010 Cimitero
  • 2011 Discussioni cimitero
AmandaCath claimed this task.Sep 18 2018, 16:45
AmandaCath mentioned this in Unknown Object (Diffusion Commit).Sep 18 2018, 17:12
AmandaCath mentioned this in Unknown Object (Diffusion Commit).Sep 18 2018, 20:32
MacFan4000 mentioned this in Unknown Object (Diffusion Commit).Sep 18 2018, 20:52
MacFan4000 mentioned this in Unknown Object (Diffusion Commit).
AmandaCath closed this task as Resolved.Sep 18 2018, 20:54
Wedhro added a comment.EditedSep 19 2018, 00:38

There's a few mistakes: talk pages are named "XYZ talk" instead of "Discussioni XYZ"; "Portal" and related talk ns should be "Portale", with a final "e"; ""Progretto" and related talk ns should be "Progetto", without the middle "r"; and "Cimitero" has no associated talk page ("Discussioni Cimitero"). Also, " Nonversita" should have an accented final "a" i.e. "Nonversità", but maybe that's just not doable.

This is how I see namespaces on Special:Search: https://i.imgur.com/5NP7JR4.png

@Wedhro the namespaces should display in whatever language you have selected as the global wiki lanauge in Special:ManageWiki - the official name of the namespaces as far as MediaWiki code goes is “XYZ talk”. The project namespace for example is “Project talk:”, not “Talk project:”. Likewise, the user namespace is “User talk:”, not “Talk user:”. Accented characters I unfortunately cannot do, but someone else might be able to who has the proper keyboard tools, assuming that GitHub will accept that as valid code.

Wedhro added a comment.Sep 19 2018, 00:50

I know, but I do have Italian as the selected language: http://imgur.com/utewgm2l.png

Couldn't you just copypaste the accented letter? Here it is: à À - As you can see, on the Italian Wikiversity they do have an accented ns, "Wikiversità": https://it.wikiversity.org/w/index.php?search=&title=Speciale%3ARicerca&profile=advanced&fulltext=1&ns4=1&ns5=1

Wedhro added a comment.Sep 20 2018, 17:26

Hello...?